'SHA1ثم·¨
#Include Once "CrypToHash.bi"
Function SHA1(pDat As String) As String
   Dim iSize As Long, F As ZString Ptr, By() As UByte
   iSize = Len(pDat)
   If iSize Then
      ReDim by((SHA1_DIGESTSIZE * 2) + 2)
      f = @by(0)
      SHA1Init()
      SHA1Update(StrPtr(pDat), iSize)
      HexEncoder(SHA1Final(), SHA1_DIGESTSIZE, f)
      Return *f
   End If
End Function